cURL
curl --request GET \ --url https://api.openxswitch.com/v1/swap \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "walletId": "63e1b8c2f18e310bb11f8a9c", "orderId": "od_m65mzbse9", "sendCoin": "BNB", "receiveCoin": "ETH", "sendNetwork": "BNB", "receiveNetwork": "BTC", "sendAmount": 200, "receiveAmount": 1.8, "estimatedSendAmount": 201.5, "estimatedReceiveAmount": 1.78, "sendAddress": "bnb1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq", "receiveAddress": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq", "refundAddress": "0x5aAeb6053F3E94C9b9A09f33669435E7Ef1BeAed", "status": "COMPLETED", "rate": 0.0089, "networkFee": 0.0015, "createdAt": "2025-02-03T15:22:46.421Z", "confirmedAt": "2025-02-03T15:22:57.082Z" } }
Retrieves the details of a specific order using its ID.
Documentation IndexFetch the complete documentation index at: https://docs.openxswitch.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Unique identifier for the order
true
Show child attributes